<?php

Route::group(['prefix' => 'peertube'], function () {
  Route::any('/', 'Peertube\Videos\Local@index');

  Route::any('/a/{id}/{cat?}', 'Peertube\Account@index');
  Route::any('/c/{id}/{cat?}/{page?}', 'Peertube\Channel@index');
  Route::any('/w/{id}', 'Peertube\Watch@index');

  Route::any('/users', 'Peertube\Logout@index');
  Route::any('/login', 'Peertube\Login@index');
  Route::any('/signup', 'Peertube\Signup@index');
  Route::any('/notification', 'Peertube\Notification@index');

  Route::any('/about', 'Peertube\About@index');

  Route::any('/my-account', 'Peertube\Myaccount@index');
  Route::any('/my-library', 'Peertube\Mylibrary@index');

  Route::group(['prefix' => 'admin'], function () {
    Route::any('/', 'Peertube\Admin\Users@index');
    Route::any('/users', 'Peertube\Admin\Users@index');
  });

  Route::group(['prefix' => 'my-library'], function () {
    Route::any('/', 'Peertube\Mylibrary\Videochannels@index');
    Route::any('/videos', 'Peertube\Mylibrary\Videos@index');
    Route::any('/video-playlists', 'Peertube\Mylibrary\Videoplaylists@index');

    Route::group(['prefix' => 'history'], function () {
      Route::any('/', 'Peertube\Mylibrary\History@index');
      Route::any('/videos', 'Peertube\Mylibrary\History\Videos@index');
    });
  });

  Route::group(['prefix' => 'videos'], function () {
    Route::any('/', 'Peertube\Videos\Local@index');
    Route::any('/subscriptions', 'Peertube\Videos\Subscriptions@index');
    Route::any('/overview', 'Peertube\Videos\Overview@index');
    Route::any('/trending/{page?}', 'Peertube\Videos\Trending@index');
    Route::any('/recently-added/{page?}', 'Peertube\Videos\Recentlyadded@index');
    Route::any('/local/{page?}', 'Peertube\Videos\Local@index');
    Route::any('/upload', 'Peertube\Videos\Upload@index');
  });
});
